<template>
	<view>
		<view class="itemstyle">
			<uni-forms label-width="180">
				<uni-forms-item label="地标码:">
					<uni-easyinput type="text" placeholder="请扫描地标码" ref='midInput' :focus="!focus" v-model="Station"
						@input="StationInput" />
				</uni-forms-item>
				<uni-forms-item label="托盘码:">
					<uni-easyinput type="text" placeholder="请扫描托盘码" ref='midInput' :focus="focus1" v-model="barcode"
						@input="barcodeInput" />
				</uni-forms-item>
				<uni-forms-item>
					<button @click="InEmpty" type="primary" size="default" style="margin-top: 2%;">空托入库</button>
				</uni-forms-item>
			</uni-forms>
		</view>
		<u-toast ref="uToast" />
	</view>
</template>

<script>
	const innerAudioContext = uni.createInnerAudioContext();
	export default {
		data() {
			return {
				focus: false,
				focus1: false,
				barcode: "",
				Station: "",
				address: "",
				WarehouseId: ""
			}
		},
		onShow() {},
		onLoad(res) {
			this.WarehouseId = res.warehouseId;
			this.focus = false;
			if (res.warehouseId == 5) {
				this.address = "8005";
			}
		},
		methods: {
			voiceSpeech(src) {
				innerAudioContext.src = src; // '../../static/success.mp3';
				innerAudioContext.play();
			},
			// barcodeInput() {
			// 	this.$nextTick(function(x) {
			// 		if (this.barcode.length > 0) {
			// 			this.focus = true;
			// 		}
			// 	})
			// },
			StationInput() {
				this.$nextTick(function(x) {
					if (this.Station.length > 0) {
						this.focus = true;
						this.focus1=true;
					}
				})
			},
			InEmpty() {
				if (this.Station == "") {
					this.$refs.uToast.show({
						title: "请扫描地标码",
						type: 'error'
					})
					return;
				}
				if (this.barcode == "") {
					this.$refs.uToast.show({
						title: "请扫描托盘码",
						type: 'error'
					})
					return;
				}
				this.$u.post('/api/PDA/InEmpty?barcode=' + this.barcode + '&station=' + this.Station).then(
					res => {
						if (res.status) {
							this.$refs.uToast.show({
								title: "空托入库申请成功",
								type: "success"
							})
							this.Station = "";
							this.barcode = "";
							this.focus = false;
							this.focus1=false;
						} else {
							this.$refs.uToast.show({
								title: res.message,
								type: "error"
							})
						}
					})
			}
		}
	}
</script>

<style lang="scss">
	@import '@/common/uni-ui.scss';

	.content {
		display: flex;
		height: 150px;
	}

	.content-text {
		font-size: 14px;
		color: #666;
	}

	.itemstyle {
		margin-top: 30px;
		margin-left: 5%;
	}

	.headerstyle {
		width: 90%;
	}
</style>